https://app.mojotxt.com/api/v1/{phone_number}/donations/list
Parameters can be sent in the URL querystring or as POST variables.
| Parameter | Options | Description |
|---|---|---|
| Sort | DonationID, KeywordID, Keyword, FundName, DefaultAmount, RecurringScheduleID, CCBFund (If the Stats parameter is enabled, you can also sort by TotalAmountDonated, TotalDonations, LastDonationTime, or NumberOfDonors.) | Sort the list by a field. |
| SortDirection | ASC, DESC | Sort Ascending or Descending |
| Limit | Any Integer | Limit the results to a certain number of records. |
| Page | Any Integer | If Limit is specified, return a certain page of results. The first set of results is page 1. |
| Stats | 1, 0 | Include statistical information about each keyword in the list (TotalAmountDonated, TotalDonations, LastDonationTime, NumberOfDonors) |
GET https://app.mojotxt.com/api/v1/+15555550100/donations/list?Sort=Keyword&SortDirection=ASC&Stats=1
{
"result": "success",
"timestamp": 1793491200,
"request": {
"Sort": "Keyword",
"SortDirection": "ASC",
"Stats": "1",
"object": "donations",
"verb": "list",
"phone": "+15555550100"
},
"record_count": 2,
"records": [
{
"DonationID": 103,
"KeywordID": 412,
"Keyword": "BUILDING",
"FundName": "Building Fund",
"DefaultAmount": null,
"RecurringScheduleID": 0,
"CCBFund": null,
"TotalAmountDonated": 44625.6, /* These four fields are included */
"TotalDonations": 396, /* only when the Stats parameter */
"LastDonationTime": 1791961723, /* is set to "1". */
"NumberOfDonors": 88
},
{
"DonationID": 8,
"KeywordID": 413,
"Keyword": "GIVE",
"FundName": "Tithes/Offerings",
"DefaultAmount": null,
"RecurringScheduleID": 2,
"CCBFund": 1,
"TotalAmountDonated": 0,
"TotalDonations": 0,
"LastDonationTime": 0,
"NumberOfDonors": 0
}
]
}